package ta_approvalgroup_namesandexpressions;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

import oracle.bpel.services.workflow.IWorkflowConstants;
import oracle.bpel.services.workflow.WorkflowException;
import oracle.bpel.services.workflow.runtimeconfig.impl.RuntimeConfigUtil;
import oracle.bpel.services.workflow.runtimeconfig.model.ApprovalGroupMember;
import oracle.bpel.services.workflow.task.IDynamicApprovalGroup;
import oracle.bpel.services.workflow.task.model.Task;

public class TaskApprovalGroup implements IDynamicApprovalGroup {
    public TaskApprovalGroup() {
        super();
    }

    public List getMembers(Task task) throws WorkflowException {
        List assignees = new ArrayList();

        ApprovalGroupMember taskGroup = RuntimeConfigUtil.getFactory().createApprovalGroupMember();
        taskGroup.setMember("taskGroup1");
        taskGroup.setType(IWorkflowConstants.IDENTITY_TYPE_GROUP);
        taskGroup.setSequence(1);
        
        assignees.add(taskGroup);
        
        ApprovalGroupMember taskUser = RuntimeConfigUtil.getFactory().createApprovalGroupMember();
        taskUser.setMember("taskUser5");
        taskUser.setType(IWorkflowConstants.IDENTITY_TYPE_USER);
        taskUser.setSequence(2);
        
        assignees.add(taskUser);
        
        return assignees;
    }
}
